
QGIS Application - Bug report #10562

Relations are not stored in Relation Reference Widget

2014-06-12 02:33 AM - zicke -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Relations

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18969

Description

After saving, closing and reopening a qgis project, the relation combobox in the relation reference widget is empty. You have to choose

the desired relation again manually.

Associated revisions

Revision faab0867 - 2014-06-14 07:55 PM - Jürgen Fischer

edit types: fix saving of range and relation reference widget (fixes #10562)

History

#1 - 2014-06-12 02:34 AM - Giovanni Manghi

- Status changed from Open to Feedback

isn't this a regression?

#2 - 2014-06-12 05:10 AM - zicke -

I don't know. I don't have a lot of experiences with relations in QGIS.

#3 - 2014-06-12 05:27 AM - Giovanni Manghi

did it worked as expected in qgis 2.2/2.0.1?

#4 - 2014-06-12 06:51 AM - zicke -

yes.

#5 - 2014-06-12 06:54 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.4

#6 - 2014-06-14 06:37 AM - Jürgen Fischer

- Category changed from Edit widget to Relations
#7 - 2014-06-14 10:57 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"faab0867db4aeefab7866491f356651db5f0bf9a".
